Submit a KYC statement about the cardholder.
Submit KYC Statement
/api/accounts/{cardholderAccountId}/partner-kyc-statement Request
Path Parameters
cardholderAccountIdstringrequiredID of the cardholder account.
Body application/json
idempotencyKeystringrequiredA client-supplied identifier that helps support idempotency for safely retrying requests without submitting the same statement twice (e.g. after a transient failure). This should change for each different version of the KYC statement you submit.
regionstringrequiredAn Alpha2 (ISO-3166-1) country code representing the country in which the user is being verified.
claimsobject[]requiredA list of claims about the cardholder's identity.
Items
Any of
claimTypestringAllowed values:DOBThe type of claim.
attributesobjectThe attributes that support the DOB claim.
dateOfBirthstringrequiredThe cardholder's date of birth formatted as YYYY-MM-DD
claimTypestringAllowed values:FULL_NAMEThe type of claim.
attributesobjectThe attributes that support the FULL_NAME claim.
honorificstringTitle used to address the cardholder.
givenNamestringPrimary name.
middleNamestringOther name(s).
familyNamestringFamily name or surname.
claimTypestringAllowed values:ADDRESSThe type of claim.
attributesobjectThe attributes that support the address claim.
One of
addressTypestringAllowed values:RESIDENTIALThe type of address.
unitNumberstringThe unit number.
streetNumberstringStreet number. Generally a number but can also be alphanumeric.
streetNamestringStreet name.
streetTypestringStreet type. e.g. Road, St, Avenue, Circuit.
townstringThe town/village/suburb/city.
suburbstringThe suburb in the town/city. Only use this if you require a suburb AND a town/city, otherwise, just use the "town" parameter.
statestringThe state. Use local abbreviations such as VIC (Victoria) or TX (Texas).
regionstringThe county, province, or cantonment.
postalCodestringPostal code.
countrystringrequiredThe ISO 3166-2 Country code of the country the address is in.
addressTypestringAllowed values:RESIDENTIALThe type of address.
fullAddressstringrequiredAn address written as a single string. i.e. not an address that is structured into individual components (e.g. unit number, street number, street name, etc.) This is useful when the address cannot be provided in a structured way. We recommend using a structured address whenever possible as correct parsing is not guaranteed.
countrystringrequiredThe ISO 3166-2 Country code of the country the address is in.
evidenceobject[]requiredA list of evidence supporting the claimed identity. At least one piece of evidence is required.
Items
Any of
evidenceTypestringrequiredAllowed values:PASSPORTThe type of evidence.
documentIdstringrequiredThe passport number.
countrystringrequiredISO 3166-1 alpha-2 country code of the country that issued the document. See Supported Regions.
expirystringrequiredThe passport expiry formatted as YYYY-MM-DD.
evidenceTypestringrequiredAllowed values:DRIVERS_LICENSEThe type of evidence.
documentIdstringrequiredThe license number.
countrystringrequiredISO 3166-1 alpha-2 country code of the country that issued the document. See Supported Regions.
regionstringWhere appropriate, the state or region that issued the document, in the format provided by the issuer. e.g. for Australia a Victorian Drivers license, this would be 'VIC'. For other countries no value is required.
versionstringThe driver's license card number or version. This field is required for New Zealand and Australia. For other countries this field is optional.
expirystringThe driver's license expiry formatted as YYYY-MM-DD.
evidenceTypestringrequiredAllowed values:NATIONAL_IDThe type of evidence.
documentIdstringrequiredThe national id number.
countrystringrequiredISO 3166-1 alpha-2 country code of the country that issued the document. See Supported Regions.
paternalFamilyNamestringThe paternal family name of the cardholder. This field is optional and only applicable for MX.
maternalFamilyNamestringThe maternal family name of the cardholder. This field is optional and only applicable for MX.
expirystringThe national id expiry formatted as YYYY-MM-DD.
evidenceTypestringrequiredAllowed values:RESIDENCE_PERMITThe type of evidence.
documentIdstringrequiredThe residence permit number.
countrystringrequiredISO 3166-1 alpha-2 country code of the country that issued the document. See Supported Regions.
expirystringThe residence permit expiry formatted as YYYY-MM-DD.
attachmentsobject[]A list of uploaded supporting documents. Optional, only required in some cases. See Attaching Supporting Documents.
Items
fileIdstringThe identifier of the uploaded file.
typestringAllowed values:proof-of-addressdrivers-licensepassportnational-idresidence-permitself-imagedata-sourceThe type of attachment.
Response
KYC statement has been submitted successfully.
Request parameters are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
Subject is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Resource does not exist or there are no sufficient permissions to perform the action.
KYC_STATEMENTS_NOT_ALLOWED Partner is not configured to submit KYC statements
ATTACHMENT_ACCOUNT_MISMATCH One or more attachments provided in the KYC statement were uploaded for another cardholder
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring